ConsoleLogger (Avalon Framework API)
Keywords: org.apache.avalon.framework.logger.ConsoleLogger class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.avalon.framework.logger
Class ConsoleLogger

    java.lang.Object
      org.apache.avalon.framework.logger.ConsoleLogger

All Implemented Interfaces:
  Logger

public final class ConsoleLogger
extends java.lang.Object
implements Logger

Logger sending everything to the standard output streams. This is mainly for the cases when you have a utility that does not have a logger to supply.

Version:
  CVS $Revision: 1.14 $ $Date: 2004/02/11 14:34:26 $
Author:
  Avalon Development Team

Field Summary
`static int` | `LEVEL_DEBUG` Typecode for debugging messages.
`static int` | `LEVEL_DISABLED` Typecode for disabled log levels.
`static int` | `LEVEL_ERROR` Typecode for error messages.
`static int` | `LEVEL_FATAL` Typecode for fatal error messages.
`static int` | `LEVEL_INFO` Typecode for informational messages.
`static int` | `LEVEL_WARN` Typecode for warning messages.

Constructor Summary
`ConsoleLogger()` Creates a new ConsoleLogger with the priority set to DEBUG.
`ConsoleLogger(int logLevel)` Creates a new ConsoleLogger.

Method Summary
`void` | `debug(java.lang.String message)` Logs a debugging message.
`void` | `debug(java.lang.String message, java.lang.Throwable throwable)` Logs a debugging message and an exception.
`void` | `error(java.lang.String message)` Logs an error message.
`void` | `error(java.lang.String message, java.lang.Throwable throwable)` Logs an error message and an exception.
`void` | `fatalError(java.lang.String message)` Logs a fatal error message.
`void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)` Logs a fatal error message and an exception.
`Logger` | `getChildLogger(java.lang.String name)` Just returns this logger (`ConsoleLogger` is not hierarchical).
`void` | `info(java.lang.String message)` Logs an informational message.
`void` | `info(java.lang.String message, java.lang.Throwable throwable)` Logs an informational message and an exception.
`boolean` | `isDebugEnabled()` Returns `true` if debug-level logging is enabled, false otherwise.
`boolean` | `isErrorEnabled()` Returns `true` if error-level logging is enabled, false otherwise.
`boolean` | `isFatalErrorEnabled()` Returns `true` if fatal-level logging is enabled, false otherwise.
`boolean` | `isInfoEnabled()` Returns `true` if info-level logging is enabled, false otherwise.
`boolean` | `isWarnEnabled()` Returns `true` if warn-level logging is enabled, false otherwise.
`void` | `warn(java.lang.String message)` Logs a warning message.
`void` | `warn(java.lang.String message, java.lang.Throwable throwable)` Logs a warning message and an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEVEL_DEBUG

    public static final int LEVEL_DEBUG

  Typecode for debugging messages.

  See Also:
    Constant Field Values

### LEVEL_INFO

    public static final int LEVEL_INFO

  Typecode for informational messages.

  See Also:
    Constant Field Values

### LEVEL_WARN

    public static final int LEVEL_WARN

  Typecode for warning messages.

  See Also:
    Constant Field Values

### LEVEL_ERROR

    public static final int LEVEL_ERROR

  Typecode for error messages.

  See Also:
    Constant Field Values

### LEVEL_FATAL

    public static final int LEVEL_FATAL

  Typecode for fatal error messages.

  See Also:
    Constant Field Values

### LEVEL_DISABLED

    public static final int LEVEL_DISABLED

  Typecode for disabled log levels.

  See Also:
    Constant Field Values

Constructor Detail

### ConsoleLogger

    public ConsoleLogger()

  Creates a new ConsoleLogger with the priority set to DEBUG.

### ConsoleLogger

    public ConsoleLogger(int logLevel)

  Creates a new ConsoleLogger.

Parameters:
  `logLevel` - log level typecode

Method Detail

### debug

    public void debug(java.lang.String message)

  Logs a debugging message.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - a `String` value

### debug

    public void debug(java.lang.String message,
                      java.lang.Throwable throwable)

  Logs a debugging message and an exception.

  Specified by:
    `debug` in interface `Logger`
  Parameters:
    `message` - a `String` value
    `throwable` - a `Throwable` value

### isDebugEnabled

    public boolean isDebugEnabled()

  Returns `true` if debug-level logging is enabled, false otherwise.

  Specified by:
    `isDebugEnabled` in interface `Logger`
  Returns:
    `true` if debug-level logging

### info

    public void info(java.lang.String message)

  Logs an informational message.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - a `String` value

### info

    public void info(java.lang.String message,
                     java.lang.Throwable throwable)

  Logs an informational message and an exception.

  Specified by:
    `info` in interface `Logger`
  Parameters:
    `message` - a `String` value
    `throwable` - a `Throwable` value

### isInfoEnabled

    public boolean isInfoEnabled()

  Returns `true` if info-level logging is enabled, false otherwise.

  Specified by:
    `isInfoEnabled` in interface `Logger`
  Returns:
    `true` if info-level logging is enabled

### warn

    public void warn(java.lang.String message)

  Logs a warning message.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - a `String` value

### warn

    public void warn(java.lang.String message,
                     java.lang.Throwable throwable)

  Logs a warning message and an exception.

  Specified by:
    `warn` in interface `Logger`
  Parameters:
    `message` - a `String` value
    `throwable` - a `Throwable` value

### isWarnEnabled

    public boolean isWarnEnabled()

  Returns `true` if warn-level logging is enabled, false otherwise.

  Specified by:
    `isWarnEnabled` in interface `Logger`
  Returns:
    `true` if warn-level logging is enabled

### error

    public void error(java.lang.String message)

  Logs an error message.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - a `String` value

### error

    public void error(java.lang.String message,
                      java.lang.Throwable throwable)

  Logs an error message and an exception.

  Specified by:
    `error` in interface `Logger`
  Parameters:
    `message` - a `String` value
    `throwable` - a `Throwable` value

### isErrorEnabled

    public boolean isErrorEnabled()

  Returns `true` if error-level logging is enabled, false otherwise.

  Specified by:
    `isErrorEnabled` in interface `Logger`
  Returns:
    `true` if error-level logging is enabled

### fatalError

    public void fatalError(java.lang.String message)

  Logs a fatal error message.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - a `String` value

### fatalError

    public void fatalError(java.lang.String message,
                           java.lang.Throwable throwable)

  Logs a fatal error message and an exception.

  Specified by:
    `fatalError` in interface `Logger`
  Parameters:
    `message` - a `String` value
    `throwable` - a `Throwable` value

### isFatalErrorEnabled

    public boolean isFatalErrorEnabled()

  Returns `true` if fatal-level logging is enabled, false otherwise.

  Specified by:
    `isFatalErrorEnabled` in interface `Logger`
  Returns:
    `true` if fatal-level logging is enabled

### getChildLogger

    public Logger getChildLogger(java.lang.String name)

  Just returns this logger (`ConsoleLogger` is not hierarchical).

  Specified by:
    `getChildLogger` in interface `Logger`
  Parameters:
    `name` - ignored
  Returns:
    this logger

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © The Apache Software Foundation. All Rights Reserved.